# POST /products/:product_id/costs

**Resource:** [Products](./products.md)  
**MCP tool:** `create_product_cost`  
**Scopes:** `products:write`  
**Write operation:** yes

Add a cost entry to a product (e.g. supplier price).

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `product_id` | path | string | yes |  |
| `label` | body | string | no |  |
| `cost_price` | body | number | no |  |
| `quantity` | body | number | no |  |
| `currency` | body | string | no |  |
| `supplier_id` | body | string | no |  |
| `notes` | body | string | no |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/products/:product_id/costs"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"label":"...","cost_price":"...","quantity":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`